package ru.yandex.autotests.direct.web.objects.groups;

import java.util.List;

import ru.yandex.autotests.direct.web.objects.banners.CpmBannerInfoWeb;

public class CpmGroupInfoWeb {
    private Long campaignId;
    private String adGroupName;
    private Long adGroupId;
    private List<CpmBannerInfoWeb> banners;
    private CpmTargetingInfoWeb targeting;
    private Double maxPrice;
    private String geo;
    private List<String> tags;

    public Long getCampaignId() {
        return campaignId;
    }

    public void setCampaignId(Long campaignId) {
        this.campaignId = campaignId;
    }

    public String getAdGroupName() {
        return adGroupName;
    }

    public void setAdGroupName(String adGroupName) {
        this.adGroupName = adGroupName;
    }

    public Long getAdGroupId() {
        return adGroupId;
    }

    public void setAdGroupId(Long adGroupId) {
        this.adGroupId = adGroupId;
    }

    public List<CpmBannerInfoWeb> getBanners() {
        return banners;
    }

    public void setBanners(List<CpmBannerInfoWeb> banners) {
        this.banners = banners;
    }

    public CpmTargetingInfoWeb getTargeting() {
        return targeting;
    }

    public void setTargeting(CpmTargetingInfoWeb targeting) {
        this.targeting = targeting;
    }

    public Double getMaxPrice() {
        return maxPrice;
    }

    public void setMaxPrice(Double maxPrice) {
        this.maxPrice = maxPrice;
    }

    public String getGeo() {
        return geo;
    }

    public void setGeo(String geo) {
        this.geo = geo;
    }

    public List<String> getTags() {
        return tags;
    }

    public void setTags(List<String> tags) {
        this.tags = tags;
    }

    public CpmGroupInfoWeb withCampaignId(Long campaignId) {
        this.campaignId = campaignId;
        return this;
    }

    public CpmGroupInfoWeb withAdGroupName(String adGroupName) {
        this.adGroupName = adGroupName;
        return this;
    }

    public CpmGroupInfoWeb withAdGroupId(Long adGroupId) {
        this.adGroupId = adGroupId;
        return this;
    }

    public CpmGroupInfoWeb withBanners(List<CpmBannerInfoWeb> banners) {
        this.banners = banners;
        return this;
    }

    public CpmGroupInfoWeb withTargeting(CpmTargetingInfoWeb targeting) {
        this.targeting = targeting;
        return this;
    }

    public CpmGroupInfoWeb withMaxPrice(Double maxPrice) {
        this.maxPrice = maxPrice;
        return this;
    }

    public CpmGroupInfoWeb withGeo(String geo) {
        this.geo = geo;
        return this;
    }

    public CpmGroupInfoWeb withTags(List<String> tags) {
        this.tags = tags;
        return this;
    }
}
